Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class ScribeRegrTest

    java.lang.Object
      rice.p2p.commonapi.testing.CommonAPITest
          rice.p2p.scribe.testing.ScribeRegrTest

public class ScribeRegrTest
extends CommonAPITest

Version:
  $Id: ScribeRegrTest.java 2858 2005-12-20 10:05:43Z jeffh $
Author:
  Alan Mislove

Nested Class Summary
`protected static class` | `ScribeRegrTest.TestRouteMessage` Utility class which simulates a route message
`protected class` | `ScribeRegrTest.TestScribeClient` DESCRIBE THE CLASS
`protected static class` | `ScribeRegrTest.TestScribeContent` Utility class for past content objects
`class` | `ScribeRegrTest.TestScribePolicy` DESCRIBE THE CLASS

Field Summary
`static java.lang.String` | `INSTANCE` DESCRIBE THE FIELD
`protected ScribeRegrTest.TestScribePolicy[]` | `policies` The scribe policies
`protected ScribeImpl[]` | `scribes` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.commonapi.testing.CommonAPITest
`BOOTSTRAP, BOOTSTRAP_PORT, environment, factory, FACTORY, FAILURE, idFactory, INSTANCE_NAME, logger, nodes, NUM_NODES, PAD_SIZE, params, PORT, PROTOCOL, PROTOCOL_DIRECT, simulator, SIMULATOR, SIMULATOR_EUCLIDEAN, SIMULATOR_SPHERE, SUCCESS`

Constructor Summary
`ScribeRegrTest(Environment env)` Constructor which sets up all local variables

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: DistScribeRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]
`protected void` | `processNode(int num, Node node)` Method which should process the given newly-created node
`protected void` | `runTest()` Method which should run the test - this is called once all of the nodes have been created and are ready.
`protected void` | `testAPI()` Tests basic publish functionality
`protected void` | `testBasic(int skip, java.lang.String name)` Tests basic functionality
`protected void` | `testFailureNotification()` Tests failure notification
`protected void` | `testMaintenance()` Tests basic publish functionality
`protected void` | `testSingleRoot(java.lang.String name)` A unit test for JUnit

Methods inherited from class rice.p2p.commonapi.testing.CommonAPITest
`assertEquals, assertTrue, createNode, createNodes, getBootstrap, kill, parseArgs, pause, sectionDone, sectionStart, simulate, start, stepDone, stepDone, stepDone, stepException, stepStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scribes

    protected ScribeImpl[] scribes

  DESCRIBE THE FIELD

### policies

    protected ScribeRegrTest.TestScribePolicy[] policies

  The scribe policies

### INSTANCE

    public static java.lang.String INSTANCE

  DESCRIBE THE FIELD

Constructor Detail

### ScribeRegrTest

    public ScribeRegrTest(Environment env)
                   throws java.io.IOException

  Constructor which sets up all local variables

Parameters:
  `env` - DESCRIBE THE PARAMETER
Throws:
  `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### processNode

    protected void processNode(int num,
                               Node node)

  Method which should process the given newly-created node

  Specified by:
    `processNode` in class `CommonAPITest`
  Parameters:
    `node` - The newly created node
    `num` - The number of this node

### runTest

    protected void runTest()

  Method which should run the test - this is called once all of the nodes have been created and are ready.

  Specified by:
    `runTest` in class `CommonAPITest`

### testBasic

    protected void testBasic(int skip,
                             java.lang.String name)

  Tests basic functionality

  Parameters:
    `skip` - DESCRIBE THE PARAMETER
    `name` - DESCRIBE THE PARAMETER

### testAPI

    protected void testAPI()

  Tests basic publish functionality

### testFailureNotification

    protected void testFailureNotification()

  Tests failure notification

### testSingleRoot

    protected void testSingleRoot(java.lang.String name)

  A unit test for JUnit

  Parameters:
    `name` - DESCRIBE THE PARAMETER

### testMaintenance

    protected void testMaintenance()

  Tests basic publish functionality

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Usage: DistScribeRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]

  Parameters:
    `args` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.